Subject: Re: bug#30350: Build breakage of master on MacOS 10.13

From: Philipp Stephani <[email-masked]>
Date: Tue, 06 Feb 2018 21:14:26 +0000

Mikhail Gusarov <[email-masked]> schrieb am Di., 6. Feb. 2018 um
16:28 Uhr:

> Hi.
>
> On Tue, 6 Feb 2018, at 09:08, Philipp Stephani wrote:
>
> I see a breakage of Emacs build on master under MacOS 10.13. Build stops
> with the following message:
>
> org/org-timer.el:39:1:Error: Searching for program: Is a directory,
> /bin/zsh
>
> The file in question is not a directory:
>
> % ls -l /bin/zsh
> 404K -rwxr-xr-x 1 root wheel 596K
>
> This is https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30350.
>
>
> Yes, it is. I can't find the relevant sources right away, but opening a
> file inside a file is a syntax for opening resource forks under OS X, so
> `/foo/bar/baz/.` is a "directory" of resource forks there. This syntax is
> not likely to go away anytime soon.
>
>
It's true that you can access the forks in a pseudo-directory
/foo/bar/baz/..namedforks/, but faccessat still seems to work correctly
even for files containing resource forks, at least on my system. That is,
the POSIX API doesn't actually treat /foo/bar/baz/. as a directory.